import h from "./isSymbol.js";
function x(l, n, o) {
  for (var f = -1, a = l.length; ++f < a; ) {
    var e = l[f], i = n(e);
    if (i != null && (m === void 0 ? i === i && !h(i) : o(i, m)))
      var m = i, d = e;
  }
  return d;
}
export {
  x as default
};
